Hi Jan,

please have a look at branch wip-orchestration that tackles various issues with your latest improvements to orchestration (and
consider it for rebasing into master).

1. I moved more code to the common folder.
2. In ci-deploy, but probably also in other modes, you should disable all jobs before building to disable auto-triggering by job
dependencies.
3. Trigger build of downstream jobs also if upstream is only UNSTABLE.
4. Cancel jobs scheduled by orchestration, if orchestration is cancelled. That's an easy way for the user to cancel all the dozens of
jobs together with orchestration.

History
#1 - 11/16/2017 10:33 AM - J. Moringen
- Category set to Template
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 11/16/2017 02:04 PM - J. Moringen
- % Done changed from 0 to 30

#3 - 11/21/2017 07:04 PM - J. Moringen
- % Done changed from 30 to 50

In ci-deploy, but probably also in other modes, you should disable all jobs before building to disable auto-triggering by job dependencies.

This should already be the case for modes in which it makes sense, i.e. ci and ci-deploy. The current workflow should be:

    1. Generate jobs
        -  All jobs start out disabled when newly generated
        -  Existing jobs are not re-disabled
    2. Run "initial orchestration" job
        -  Builds all jobs in dependency order
        -  Enables jobs in the process
    3. Rely on SCM trigger

#4 - 11/21/2017 08:45 PM - R. Haschke
In toolkit and citk mode, it's important to re-disable all jobs before when running orchestration.

#5 - 11/21/2017 08:52 PM - J. Moringen

In toolkit and citk mode, it's important to re-disable all jobs before when running orchestration.

How so? These modes don't configure SCM triggers so jobs shouldn't start randomly.

#6 - 11/21/2017 11:03 PM - R. Haschke

They don't configure SCM triggers by default. However, one may do that anyway.
